global paused

on startMovie
  set paused to 0
end

on idle
  if the frame < 655 then
    repeat with x = 12 to 13
      if not (the puppet of sprite x) then
        puppetSprite(x, 1)
      end if
    end repeat
  end if
  case rollOver() of
    12:
      roButtons(12, the memberNum of sprite 12)
    13:
      roButtons(13, the memberNum of sprite 13)
  end case
  if paused then
    if not rollOver(12) then
      set the memberNum of sprite 12 to 70
    end if
    if not rollOver(13) then
      set the memberNum of sprite 13 to 68
    end if
  else
    if not rollOver(12) then
      set the memberNum of sprite 12 to 66
    end if
    if not rollOver(13) then
      set the memberNum of sprite 13 to 68
    end if
  end if
end

on roButtons sprNum, memNum
  if not (memNum mod 2) then
    set the memberNum of sprite sprNum to memNum + 1
    if sprNum = 12 then
      set the memberNum of sprite 13 to 68
    end if
    if sprNum = 13 then
      if paused then
        set the memberNum of sprite 12 to 70
      else
        set the memberNum of sprite 12 to 66
      end if
    end if
    updateStage()
  end if
end

on waitTill plusTicks
  set stopPoint to the ticks + plusTicks
  repeat while the ticks < stopPoint
    idle()
    updateStage()
  end repeat
end
